INF="Android armeabi-v7a"
NCAM_BIN=ncam-$ver-$rev.android
ZIP=true

_toolchain=android-ndk-r21d
_tar=
_url=

tc_do(){
	cd $dir/$folder/android
	$dir/$folder/android/ndk.sh
	mv -t $dir/$tc_dir $dir/$folder/android/android-ndk-r21d
	rm -rf *.zip *.tar.*
	cd $dir
}

mk_do(){
	API=24

	./config.sh --enable IPV6SUPPORT --disable CS_ANTICASC WITH_DEBUG CS_CACHEEX CS_CACHEEX_AIO CW_CYCLE_CHECK MODULE_MONITOR WITH_SOFTCAM READER_NAGRA_MERLIN READER_VIDEOGUARD READER_DRE READER_TONGFANG READER_STREAMGUARD READER_JET READER_BULCRYPT READER_GRIFFIN READER_DGCRYPT MODULE_SCAM CARDREADER_PHOENIX CARDREADER_INTERNAL CARDREADER_STINGER

	FLAGS="-fpic -fno-addrsig -ffunction-sections -fdata-sections -funwind-tables -fstack-protector-strong -no-canonical-prefixes -Wno-invalid-command-line-argument -Wno-unused-command-line-argument -DANDROID -march=armv7-a -mtune=cortex-a9 -mfloat-abi=softfp -mfpu=vfpv3-d16"
## CURL shared ##
	make -j$cores \
		NCAM_BIN=$NCAM_BIN \
		CONF_DIR=/data/plugin/ncam \
		USE_LIBCRYPTO=1 \
		USE_LIBCURL=1 \
		LIB_RT= \
		LIB_PTHREAD= \
		USE_WI=1 \
		EXTRA_LIBS="-lssl -lcrypto" \
		STRIP=$dir/$tc_dir/$_toolchain/toolchains/llvm/prebuilt/linux-x86_64/bin/arm-linux-androideabi-strip \
		CC="$dir/$tc_dir/$_toolchain/toolchains/llvm/prebuilt/linux-x86_64/bin/clang --target=armv7a-linux-androideabi$API $FLAGS -I$dir/$tc_dir/$_toolchain/sysroot/include -L$dir/$tc_dir/$_toolchain/sysroot/lib" \
		TARGET="arm-linux-androideabi"

#	$tc_dir/$_toolchain/ndk-build APP_ABI=armeabi-v7a APP_PLATFORM=android-19 NDK_PROJECT_PATH=build/android APP_BUILD_SCRIPT=Android.mk LOCAL_DIR=$tc_dir/$_toolchain/sysroot CONF_DIR=/var/tuxbox/config
#	mv build/android/libs/armeabi-v7a/ncam* $dir/Distribution
#	rm -rf build/android
#	if $ZIP; then
#		cd $dir/Distribution
#		inf="(${INF})"
#		zip -r $dir/Distribution/NCam-${ver}-${rev}" ${inf}".zip -xi ncam-${ver}-${rev}-arm-linux-androideabi
#		cd $dir
#		rm -rf $dir/Distribution/ncam-${ver}-${rev}-arm-linux-androideabi
#	fi

#	$tc_dir/$_toolchain/ndk-build APP_ABI=armeabi-v7a APP_PLATFORM=android-21 NDK_PROJECT_PATH=build/android APP_BUILD_SCRIPT=Android.mk LOCAL_DIR=$tc_dir/$_toolchain/sysroot USE_STAPI=1
#	mv build/android/libs/armeabi-v7a/ncam* $dir/Distribution
#	rm -rf build/android
#	if $ZIP; then
#		cd $dir/Distribution
#		inf="(${INF}-stapi)"
#		zip -r $dir/Distribution/NCam-${ver}-${rev}" ${inf}".zip -xi ncam-${ver}-${rev}-arm-linux-androideabi-stapi
#		cd $dir
#		rm -rf $dir/Distribution/ncam-${ver}-${rev}-arm-linux-androideabi-stapi
#	fi
}
